> ## Documentation Index
> Fetch the complete documentation index at: https://student-213fb9fc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取爬取错误

> 注意：现已提供此 API 的全新 [v2 版本](/zh/api-reference/endpoint/crawl-get-errors)，具备更强大的功能和更好的性能。


## OpenAPI

````yaml zh/api-reference/v1-openapi.json get /crawl/{id}/errors
openapi: 3.0.0
info:
  title: Firecrawl API
  version: v1
  description: 用于与 Firecrawl 服务交互，以进行网页抓取和爬取任务的 API。
  contact:
    name: Firecrawl Support
    url: https://firecrawl.dev/support
    email: support@firecrawl.dev
servers:
  - url: https://api.firecrawl.dev/v1
security:
  - bearerAuth: []
paths:
  /crawl/{id}/errors:
    parameters:
      - name: id
        in: path
        description: 抓取任务的 ID
        required: true
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Crawling
      summary: 获取爬取任务的错误信息
      operationId: getCrawlErrors
      responses:
        '200':
          description: 成功的响应
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrawlErrorsResponseObj'
        '402':
          description: 需要付款
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Payment required to access this resource.
        '429':
          description: 请求次数过多
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: >-
                      Request rate limit exceeded. Please wait and try again
                      later.
        '500':
          description: 服务器错误
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: An unexpected error occurred on the server.
      security:
        - bearerAuth: []
components:
  schemas:
    CrawlErrorsResponseObj:
      type: object
      properties:
        errors:
          type: array
          description: 抓取任务错误及其详情
          items:
            type: object
            properties:
              id:
                type: string
              timestamp:
                type: string
                nullable: true
                description: 失败时间的 ISO 时间戳
              url:
                type: string
                description: 已爬取 URL
              error:
                type: string
                description: 错误信息
        robotsBlocked:
          type: array
          description: 在抓取时尝试访问但被 robots.txt 阻止的 URL 列表
          items:
            type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````